﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    image bg trainstation = "train_station.jpg"
    image bg meteor = "meteor.jpg"
    image bg fireball = "fireball.jpg"
    
    image bg credits1 = "credits01.jpg"
    image bg credits2 = "credits02.jpg"
    image bg credits3 = "credits03.jpg"
    image bg credits4 = "credits04.jpg"
    image bg credits5 = "credits05.jpg"
    image bg credits6 = "credits06.jpg"
    
    image angry dude = "dude angry.png"
    image confused dude = "dude confused.png"
    
    image raptor frown = "raptor frown.png"
    image raptor pissed = "raptor pissed.png"
    image raptor rapocase = "raptor rapo case.png"
    image raptor smile = "raptor smile.png"
    
    image trex dopey = "trex dopey.png"
    image trex happy = "trex happy.png"
    image trex pissed = "trex pissed.png"
    image trex sad = "trex sad.png"

    # Declare characters used by this game.
    $ r = Character('Ardy the Raptor', color="#c8ffc8")
    $ t = Character('Travis the T-rex', color="#c8ffc8")
    $ d = Character('Mr.Dude Sr.', color="#c8ffc8")
    
    $ flashbulb = Fade(0.2, 0.0, 0.8, color='#fff')
    
    python:
        def max_points(*values):
            return [ i for i, v in enumerate(values) if v == max(values) ]

# The game starts here.
label start:
    play music "pink.mp3"
    $ dino_points = 0

    scene bg trainstation
    show raptor smile
    r "I've got a fucking briefcase!! It's full of RAPTOR GOODNESS! It's the RAPO CASE!!"
    show raptor frown at left
    show trex happy at right
    t "Jolly good then! Is that my briefcase you have, good sir?"
    r "Hells NO!"
    show trex pissed at right
    t "My apologies good man, but I do believe you are mistaken. That is clearly my RAPO case!"
    show raptor rapocase at left
    show trex sad at right
    r "Dude. back off! Quit trying to take my RAPO case! Jackass!"
    
    menu:

        "YELL LOUDLY!":
        
            jump yell
            
        "BITE HIS ASS!":
        
            jump bite
            

label yell:
    
    r "I'M GOING TO TOTALLY BITE YO ASS!"
    
label bite:
    $ dino_points += 1
    r "NOM NOM NOM! YUM ASS!"
    t "Sir, I do believe you've bitten my arse quite thoroughly."
    show raptor pissed at left
    show trex dopey at right
    t "You will find, however, that the ass-biting will not gain you my respect or RAPO case!"
    t "Should you decide to continue with this savagery; I may very well become perturbed."
    r "Man, you all be up in my grill."
    show trex pissed at right
    t "Your grill, kind sir, has NOTHING to do with this. Poppycock!"
    t "You sir, are a thieving jerk."
    r "No! You're a jerk!"
    t "Wha? Who? Huh? How does my rightful ownership of that RAPO case make me a jerk? You jerk!"
    r "No! You're a jerk!"
    
    show confused dude
    d "Hey hey hey..."
    t "Excuse me sir, but this is an arguement between two gentledinomen. Kindly refrain for interfering."
    hide confused dude
    show angry dude
    d "Nah, I own this place."
    d "Y'all can't be biting asses and calling each other jerks here. M'kay?"
    show raptor smile at left
    r "Nah, I'm gonna bite his ass more!"
    r "I wanna leave some teeth marks on that t-rex's ass!"
    show trex sad at right
    t "What do you take me for, a homodinosexual? What is your obsession with my hind quarters?"
    
    menu:

        "YELL LOUDLY!":
            jump yell
            
        "BITE HIS ASS!":
            jump bite
        
        "METEOR!":
            jump ending
            
label ending:
    
if dino_points > 5:
    "Multiple attacks have weakened the poor T-Rex."
    jump GoodEnd
else:
    "Suddenly, A METEOR!!"
    jump BadEnd
    
label BadEnd:
    scene bg meteor with flashbulb
    "BAD ENDING!!"
return

label GoodEnd:
    scene bg fireball with flashbulb
    "GOOD ENDING!"

label credits:
    scene bg credits1 with fade
    ""
    scene bg credits2 with fade
    ""
    scene bg credits3 with fade
    ""
    scene bg credits4 with fade
    ""
    scene bg credits5 with fade
    ""
    scene bg credits6 with fade
    ""

return